#include <faif/utils/actobj/Command.h>
#include <faif/utils/actobj/Scheduler.h>

using namespace faif;
using namespace faif::actobj;

struct DummyCmd : public Command {

    DummyCmd() {}
    virtual ~DummyCmd() {}

    virtual void operator()(Progress& progress) {
		std::cout << "start command" << std::endl;
		progress.setProgress(0.5); //send the message about the progress
		std::cout << "end command" << std::endl;
    }

};

int main() {
	Scheduler& scheduler = Scheduler::getInstance();
	PCommand cmd(new DummyCmd );
    scheduler.executeAsynchronouslyAndWait( cmd );
	return 0;
}
